#   Created by Joy-IT, 1.July 2021
#   Released under the MIT License

import matplotlib.pyplot as plt
import matplotlib.animation as animation
import time
import Adafruit_ADS1x15

adc = Adafruit_ADS1x15.ADS1115()
GAIN = 1

# Create figure for plotting
fig = plt.figure()
ax = fig.add_subplot(1, 1, 1)
xs = []
ys = []

# Initialize communication with ADMP401

# This function is called periodically from FuncAnimation
def animate(i, xs, ys):

    # Read value from sensor
    value = (adc.read_adc(0, gain=GAIN)) - 13175

    # Add x and y to lists
    
    xs.append(time.time())
    ys.append(value)
    
    # Limit x and y lists to 20 items
    xs = xs[-50:]
    ys = ys[-50:]

    # Draw x and y lists
    ax.clear()
    ax.plot(xs, ys)
    ax.set_ylim([0,300])

    # Format plot
    plt.ylabel('Microphone')
    plt.xlabel('Time')
    plt.title('COM-MIC-ADMP401')
    
# Set up plot to call animate() function periodically
ani = animation.FuncAnimation(fig, animate, fargs=(xs, ys), interval=5, blit = False)
plt.show()